		$(document).ready(function(){
			load(1);
		});

		function load(page){
			var q= $("#q").val();
			$("#loader").fadeIn('slow');
			$.ajax({
				url:'./ajax/buscar_clientes.php?action=ajax&page='+page+'&q='+q,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})
		}

	
		
			function eliminar (id)
		{
			var q= $("#q").val();
		if (confirm("Realmente deseas eliminar el cliente")){	
		$.ajax({
        type: "GET",
        url: "./ajax/buscar_clientes.php",
        data: "id="+id,"q":q,
		 beforeSend: function(objeto){
			$("#resultados").html("Mensaje: Cargando...");
		  },
        success: function(datos){
		$("#resultados").html(datos);
		load(1);
		}
			});
		}
		}
$( "#guardar_cliente" ).submit(function( event ) {
  $('#guardar_datos').attr("disabled", true);
      var parametros = $(this).serialize();
	 $.ajax({
  			type: "POST",
                        
			url: "ajax/nuevo_cliente.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#guardar_datos').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})

$( "#editar_cliente" ).submit(function( event ) {
  $('#actualizar_datos').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/editar_cliente.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax2").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax2").html(datos);
			$('#actualizar_datos').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})

	function obtener_datos(id){
		    var cedula_titular = $("#cedula_titular"+id).val(); 
			var nombre_cliente = $("#nombre_cliente"+id).val();
			var cedula_beneficiario = $("#cedula_beneficiario"+id).val();
			var nombre_beneficiario = $("#nombre_beneficiario"+id).val();
			var telefono_cliente = $("#telefono_cliente"+id).val();
			var edad = $("#edad"+id).val();
			var email_cliente = $("#email_cliente"+id).val();
			var direccion_cliente = $("#direccion_cliente"+id).val();
			var tipo_paciente = $("#tipo_paciente"+id).val();
			var aseguradoras = $("#aseguradoras"+id).val();
			var alergico = $("#alergico"+id).val();
			var especifique = $("#especifique"+id).val();
			var foto = $("#foto"+id).val();
			var status_cliente = $("#status_cliente"+id).val();
	         
			$("#mod_cedula_titular").val(cedula_titular); 
			$("#mod_nombre").val(nombre_cliente);
			$("#mod_cedula_beneficiario").val(cedula_beneficiario);
			$("#mod_nombre_beneficiario").val(nombre_beneficiario);
			$("#mod_telefono").val(telefono_cliente);
			$("#mod_edad").val(edad);
			$("#mod_email").val(email_cliente);
			$("#mod_direccion").val(direccion_cliente);
			$("#mod_tipo_paciente").val(tipo_paciente);
			$("#mod_aseguradoras").val(aseguradoras);
			$("#mod_alergico").val(alergico);
			$("#mod_especifique").val(especifique);
			$("#mod_foto").val(foto);
			$("#mod_estado").val(status_cliente);
			$("#mod_id").val(id);
		
		}
	
		
		

